﻿@{
    Layout = null;
    var imagespath = System.Configuration.ConfigurationManager.AppSettings["imagesPath"] + "UserProfile/";
}

<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Dashboard">
    <meta name="keyword" content="Dashboard, Bootstrap, Admin, Template, Theme, Responsive, Fluid, Retina">
    <title>TAGart</title>

    <!-- Favicons -->
    <link href="~/image/favicon.png" rel="icon">
    <link href="~/image/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Bootstrap core CSS -->

    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <!--external css-->
    <link href="~/theme/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="~/Content/multiselect.css" rel="stylesheet" />

    <link href="~/theme/lib/fancybox/jquery.fancybox.css" rel="stylesheet" />
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="~/theme/css/style.css" rel="stylesheet" />

    <link href="~/theme/css/style-responsive.css" rel="stylesheet" />

    <script src="~/theme/lib/jquery/jquery.min.js"></script>

    <script src="~/Scripts/sweetalert.min.js"></script>
    @*<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>*@
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <style>
        .loader {
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #6640b2;
            border-bottom: 16px solid #6640b2;
            width: 120px;
            height: 120px;
            -webkit-animation: spin 2s linear infinite;
            animation: spin 2s linear infinite;
        }

        .dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
            color: #fff;
            text-decoration: none;
            background-color: #4ECDC4;
        }

        .nav .open > a, .nav .open > a:hover, .nav .open > a:focus {
            background-color: none;
        }

        .nav > li > a:hover, .nav > li > a:focus {
            text-decoration: none;
            background-color: none;
        }
    </style>
</head>
<body>
    <section id="container">
        <div id="pageload" style="display:none; width: 100%;height: 100%;top: 0;position: fixed;z-index: 99999;padding-left: 50%; background-color:rgba(0, 0, 0, 0.4); padding-top: 18%;">
            @*<div class="loader"> </div>*@

            <img style="width: 25%;" src="~/image/loading_1.gif" />
        </div>
        <!-- **********************************************************************************************************************************************************
        TOP BAR CONTENT & NOTIFICATIONS
        *********************************************************************************************************************************************************** -->
        <!--header start-->
        <header class="header black-bg">
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
            </div>
            <!--logo start-->
            <a href="@Url.Action("Index", "Dashboard", new { area="Admin"})" class="logo"><b>TAG<span>art</span></b></a>
            <!--logo end-->
            <div class="nav pull-right" style="margin-top: 5px;">
                @if (Session["usr_Image"] == "" || Session["usr_Image"] == null)
                {
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#"><img src="~/image/Tristan-Eaton-24.png" class="img-circle" width="50"></a>
                }
                else
                {
                    var imgpath = imagespath + Session["usr_Image"].ToString();

                    <a class="dropdown-toggle" data-toggle="dropdown" href="#"><img src='@imgpath' class="img-circle" width="50"></a>

                }
                <ul class="dropdown-menu" style="width:10%;">
                    <li class="dropdown-item">
                        <a href="#" onclick="return RedirectToAddUserAsUser();">Profile</a>
                    </li>
                    <li class="dropdown-item">
                        <a class="logout" onclick="logout();">Logout</a>
                    </li>
                </ul>
            </div>
        </header>
        <!--header end-->
        <!-- **********************************************************************************************************************************************************
        MAIN SIDEBAR MENU
        *********************************************************************************************************************************************************** -->
        <!--sidebar start-->
        <aside>
            <div id="sidebar" class="nav-collapse ">

                <!-- sidebar menu start-->
                <ul class="sidebar-menu" id="nav-accordion">

                    <li class="mt">
                        <a href="@Url.Action("Index", "Dashboard", new { area="Admin"})">
                            <i class="fa fa-dashboard"></i>
                            <span>Dashboard</span>
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("Index", "Blog", new { area="Admin"})">
                            <i class="fa  fa-desktop"></i>
                            <span>Blog </span>
                        </a>
                    </li>

                    <li id="liUserSubMenu" class="sub-menu">
                        <a href="javascript:;">
                            <i class="fa fa-user"></i>
                            <span>Users</span>
                        </a>
                        <ul class="sub">
                            <li>
                                <a href="@Url.Action("User", "Dashboard", new { area= "Admin" })">
                                    <span>Account</span>
                                </a>
                            </li>
                            <li>
                                <a id="UserUploads" href="@Url.Action("Uploads", "Dashboard", new { area= "Admin" })">
                                    <span>Uploads</span>
                                </a>
                            </li>
                            <li>
                                <a id="UserComments" href="@Url.Action("Comments", "Dashboard", new { area= "Admin" })">
                                    <span>Comments</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                    @*}*@
                    <li class="sub-menu">
                        <a href="@Url.Action("OpenMarketList", "TagArtShop", new { area= "Admin" })">
                            <i class="fa fa-shopping-bag"></i>
                            <span>Market Place</span>
                        </a>
                    </li>
                </ul>
                <!-- sidebar menu end-->
            </div>
        </aside>
        <!--sidebar end-->
        <!-- **********************************************************************************************************************************************************
        MAIN CONTENT
        *********************************************************************************************************************************************************** -->
        <!--main content start-->
        <section id="main-content">

            @RenderBody()

            <!-- /wrapper -->
        </section>

        <!-- Modal -->
        <div class="lock-screen">
            <div aria-hidden="true" aria-labelledby="myModalSessionExpired" role="dialog" tabindex="-1" id="myModalSessionExpired" data-backdrop="static" class="modal fade">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h2 class="form-login-heading">Session Expired</h2>
                        </div>
                        <div class="modal-body">
                            <div class="login-wrap">
                                <button class="btn btn-theme btn-block" onclick="LoginAgain();" type="button"><i class="fa fa-lock"></i> LOG IN AGAIN</button>
                            </div>
                        </div>
                        <div class="modal-footer centered">
                            <br />
                            <br />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- modal -->
        <!-- /MAIN CONTENT -->
        <!--main content end-->
        <!--footer start-->
        <footer class="site-footer">
            <div class="text-center">
                <p>
                    &copy; Copyrights <strong>TagArt</strong>. All Rights Reserved
                </p>

                <a href="gallery.html#" class="go-top">
                    <i class="fa fa-angle-up"></i>
                </a>
            </div>
        </footer>
        <!--footer end-->
    </section>
    <!-- js placed at the end of the document so the pages load faster -->
    <script src="~/theme/lib/fancybox/jquery.fancybox.js"></script>

    <script src="~/theme/lib/bootstrap/js/bootstrap.min.js"></script>

    <script class="include" src="~/theme/lib/jquery.dcjqaccordion.2.7.js"></script>
    <script src="~/theme/lib/jquery.scrollTo.min.js"></script>

    <script src="~/theme/lib/jquery.nicescroll.js"></script>

    <!--common script for all pages-->
    <script src="~/theme/lib/common-scripts.js"></script>

    <!--script for this page-->
    <script type="text/javascript">
		$(function () {
			//    fancybox
			jQuery(".fancybox").fancybox();
		});
    </script>
</body>
</html>
<script>
	$(document).ready(function () {
		setTimeout(function () {
			debugger;
			if (confirm("Your session expired due to inactivity.Please click 'OK' to login again."))
				window.location.href = '@Url.Action("Login","Login",new { area=""})';

		}, 5 * 60 *1000);

		//To Show hide User related forms base on user edit.
		//var userHomeLogin = localStorage.getItem("userHomeLogin");

		//var userID = localStorage.getItem("userID");
		//if (userID != "" && userHomeLogin != "") {
		//	//localStorage.setItem("userHomeLogin", "");
		//    $("#UserUploads").show();
		//	$("#UserComments").show();
		//	$(".dcjq-parent").addClass("active");
		//	$(".sub").css('display','block');
		//} else {
		//	localStorage.setItem("userHomeLogin", 1);
		//    $("#UserUploads").hide();
		//	$("#UserComments").hide();
		//	$(".dcjq-parent").removeClass("active");
		//	$(".sub").css('display', 'none');
		//}

	});

	function LoginAgain() {
		var url = '@Url.Action("LogOut", "Login", new { area = ""})';

        window.location.href = url;

        localStorage.setItem("userHomeLogin", "");
    }
    function blockSpecialChar(e) {
        var k;
        document.all ? k = e.keyCode : k = e.which;
        return ((k > 64 && k < 91) || (k > 94 && k < 123) || k == 4 || k == 8 || k == 32);
    }
    function RedirectToAddUserAsUser() {
        debugger;
        var SessionUsr_Role = '@Session["usr_Role"]';
        var SessionUsr_UserId = '@Session["usr_UserId"]';
        var userID = "";
        if (SessionUsr_Role != "" && SessionUsr_Role != undefined && SessionUsr_Role != 1) {
            userID = SessionUsr_UserId;
        }
        localStorage.setItem("userID", SessionUsr_UserId);
        localStorage.setItem("LoginType", SessionUsr_UserId);

        var url = '@Url.Action("AddUser", "Dashboard", new { area="Admin"})';
        window.location.href = url;
        return false;
    }
    function logout() {

        var url = '@Url.Action("LogOut", "Login", new { area = ""})';

		window.location.href = url;

		localStorage.setItem("userHomeLogin", "");
    }

    function isNumber(evt) {
        $(this).val($(this).val().replace(/[^\d].+/, ""));
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    }
    $(".allownumeric").on("keypress keyup blur", function (event) {
        $(this).val($(this).val().replace(/[^\d].+/, ""));
        if ((event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
    });
    $(".Notallownumeric").on("keypress keyup blur", function (event) {
        $(this).val($(this).val().replace(/[^\d].+/, ""));
        if ((event.which >= 48 || event.which <= 57)) {
            event.preventDefault();
        }
    });
</script>